Branch: Tag:

2002-06-14

2002-06-14 16:05:05 by Johan Sundström <oyasumi@gmail.com>

Roxen WebServer -> Internet Server

Rev: local/README:1.2
Rev: server/base_server/basic_defvar.pike:1.31
Rev: server/base_server/cache.pike:1.80
Rev: server/base_server/config_userdb.pike:1.49
Rev: server/base_server/configuration.pike:1.524
Rev: server/base_server/disk_cache.pike:1.62
Rev: server/base_server/emit_object.pike:1.6
Rev: server/base_server/fastpipe.pike:1.9
Rev: server/base_server/fonts.pike:1.84
Rev: server/base_server/global_variables.pike:1.93
Rev: server/base_server/highlight_pike.pike:1.6
Rev: server/base_server/hosts.pike:1.32
Rev: server/base_server/html.pike:1.16
Rev: server/base_server/http.pike:1.56
Rev: server/base_server/javamodule.pike:1.6
Rev: server/base_server/module.pike:1.132
Rev: server/base_server/module_support.pike:1.113
Rev: server/base_server/newdecode.pike:1.31
Rev: server/base_server/prototypes.pike:1.54
Rev: server/base_server/read_config.pike:1.64
Rev: server/base_server/roxen.pike:1.806
Rev: server/base_server/roxenlib.pike:1.216
Rev: server/base_server/roxenloader.pike:1.335
Rev: server/base_server/rxml.pike:1.326
Rev: server/base_server/rxmlhelp.pike:1.58
Rev: server/base_server/slowpipe.pike:1.15
Rev: server/base_server/socket.pike:1.24
Rev: server/base_server/state.pike:1.21
Rev: server/base_server/supports.pike:1.26
Rev: server/base_server/throttler.pike:1.11
Rev: server/base_server/wizard.pike:1.142
Rev: server/bin/create_configif.pike:1.42
Rev: server/config_interface/sites/create_site_with_template.pike:1.29
Rev: server/config_interface/whatsnew.html:1.33
Rev: server/data/example_pages/eng/index.html:1.6
Rev: server/data/example_pages/template:1.3
Rev: server/data/test/config/Test_server_1:1.10
Rev: server/modules/configuration/roxen_test.pike:1.54
Rev: server/modules/icecast/pl_common.pike:1.9
Rev: server/modules/logging/roxen_network.pike:1.10
Rev: server/modules/misc/robots.txt.pike:1.4
Rev: server/modules/tags/additional_rxml.pike:1.23
Rev: server/modules/tags/javascript_support/scripts/CrossPlatform.js:1.11
Rev: server/modules/tags/javascript_support/scripts/DragDrop.js:1.4
Rev: server/modules/tags/javascript_support/scripts/DynamicLoading.js:1.11
Rev: server/modules/tags/javascript_support/scripts/Popup.js:1.19
Rev: server/modules/tags/javascript_support/scripts/Scroll.js:1.5
Rev: server/modules/tags/rxmltags.pike:1.375
Rev: server/pike_modules/StateHandler.pmod:1.10
Rev: server/plugins/arg_cache/replicate.pike:1.16
Rev: server/plugins/font_handlers/builtin.pike:1.14
Rev: server/plugins/font_handlers/compactimgfile.pike:1.6
Rev: server/plugins/font_handlers/freetype.pike:1.18
Rev: server/plugins/font_handlers/imagedir.pike:1.13
Rev: server/plugins/font_handlers/imagetar.pike:1.8
Rev: server/plugins/font_handlers/old.pike:1.12
Rev: server/plugins/font_handlers/ttf.pike:1.14
Rev: server/plugins/protocols/http.pike:1.371
Rev: server/start:1.198
Rev: server/tools/ntroxen/startdll/cmdline.cpp:1.20
Rev: server/tools/ntroxen/startdll/roxen.cpp:1.16
Rev: server/tools/roxenis.mib:1.4

1:   #!/bin/sh   # - # $Id: start,v 1.197 2002/06/05 10:08:29 nilsson Exp $ + # $Id: start,v 1.198 2002/06/14 16:05:02 jhs Exp $      ### If --silent-start is given as the first argument,   ### nothing will be printed to stdout by the script.
298:    pass="$pass --version"    else    if [ -f base_server/roxen.pike ]; then -  echo "Roxen WebServer `roxen_version`" +  echo "Internet Server `roxen_version`"    exit 0    else    echo 'base_server/roxen.pike not found!'
327:    pass="$pass --help"    else    sed -e "s/\\.B/`tput 'bold' 2>/dev/null`/g" -e "s/B\\./`tput 'sgr0' 2>/dev/null`/g" << EOF - .BThis command will start the Roxen WebServerB.. + .BThis command will start the Internet ServerB..      The environment variable .BROXEN_ARGSB. can be used to specify   the default arguments.
537:      ####### BEGIN PIKE OPTIONS    - # Roxen WebServer will create files as the initial user, + # Internet Server will create files as the initial user,   # which it expects to be able to read as the run-time user.   umask 022   
623:    trap "" 2 15    if [ "x$ROXEN_PID" != "x" ]; then    kill $ROXEN_PID 2>/dev/null && wait $ROXEN_PID 2>/dev/null -  dp "Roxen WebServer shutdown." +  dp "Internet Server shutdown."    fi    if [ "x$keep_mysql" = "x" ] ; then    if [ -f $DIR/_mysql/mysql_pid ] ; then
677:       if [ "x$once" = "x" ]; then    eval "fork_roxen \"$pike\" $args 2>>\"${DEBUGLOG}.1\" 1>&2" -  dp "Roxen WebServer server pid $ROXEN_PID." +  dp "Internet Server server pid $ROXEN_PID."    wait $ROXEN_PID 2>/dev/null 1>&2    exitcode="$?"    ROXEN_PID=""
781:      if [ -z "$once" ] ; then    if [ $verbose -gt 0 ]; then -  dp "Starting the Roxen WebServer." +  dp "Starting the Internet Server."    else :; fi    if [ "x$DEBUGLOG" = "x" ] ; then    DEBUGDIR="$LOGDIR/debug"
828:       if [ "$exitcode" -eq "0" ] ; then    # Clean shutdown. -  dp "Roxen WebServer shutdown." +  dp "Internet Server shutdown."    signal_exit    # Note reached, but...    exit 0    fi    if [ "$exitcode" -lt "0" ] ; then    # Signal death. -  dp "Roxen WebServer died of signal $exitcode." +  dp "Internet Server died of signal $exitcode."    else    case "$exitcode" in    100) -  dp "Changing Roxen WebServer version. Restarting." +  dp "Changing Internet Server version. Restarting."    # We need to clean up the pid file, since we're mentioned in it...    cleanup_pid_file    cd .. && exec ./start "$@"
847:    exit 1    ;;    *) -  dp "Roxen WebServer down with code $exitcode." +  dp "Internet Server down with code $exitcode."    ;;    esac    fi